import "@/common/styles/forms.sass";
import {useState} from "react";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faArrowLeft, faPlusSquare} from "@fortawesome/free-solid-svg-icons";
import FormInput from "@/common/components/FormInput";

export const CreateForm = ({onSubmit, onBack}) => {
    const [name, setName] = useState("");
    const [errors, setErrors] = useState({});

    const handleSubmit = (e) => {
        e.preventDefault();

        if (!name.trim()) {
            setErrors({name: "Gib einen Namen ein"});
            return;
        }

        onSubmit(name);
    };

    return (
        <div className="form-base create-form">
            <button className="back-button" onClick={onBack}>
                <FontAwesomeIcon icon={faArrowLeft}/>
                <span>Zurück</span>
            </button>

            <h2>Raum erstellen</h2>

            <form onSubmit={handleSubmit}>
                <FormInput placeholder="Benutzername" value={name} onChange={(e) => setName(e.target.value)}
                           error={errors.name}/>

                <button type="submit" className="submit-button create-button">
                    <span>Raum erstellen</span>
                    <FontAwesomeIcon icon={faPlusSquare}/>
                </button>
            </form>
        </div>
    );
};
